MacOSX 10.9 support and Intel® C++ Composer XE 2013.1.119

MacOSX 10.9 support and Intel® C++ Composer XE 2013.1.119

Hello.

I have purchased Intel® C++ Composer XE 2013.1.119 in use but need to upgrade to MacOSX 10.9

 

So I have two questions:

1. Intel® C++ Composer XE 2013 SP1 says "MacOSX 10.9 support was added". What does this mean. Does this mean I will be not able to build with old version at all under MacOSX 10.9

2. I have some core written on Objective-C. This means that during compilation and linking I need another compiler (e.g. GCC) besides Intel Compiler. Will I be able to do this on MacOSX 10.9 when using Intel® C++ Composer XE 2013.1.119 ?

 

Thanks

4 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Hi Ihor,

Quote:

Ihor P. wrote:
I have purchased Intel® C++ Composer XE 2013.1.119 in use but need to upgrade to MacOSX 10.9

Good choice! :-)

Quote:

Ihor P. wrote:
1. Intel® C++ Composer XE 2013 SP1 says "MacOSX 10.9 support was added". What does this mean. Does this mean I will be not able to build with old version at all under MacOSX 10.9

This compiler release supports two MacOS versions: 10.8 and 10.9. You can run the compiler on any of these. Your programs compiled with the compiler can run on older MacOS versions as well.

Quote:

Ihor P. wrote:
2. I have some core written on Objective-C. This means that during compilation and linking I need another compiler (e.g. GCC) besides Intel Compiler. Will I be able to do this on MacOSX 10.9 when using Intel® C++ Composer XE 2013.1.119 ?

Yes, you need another compiler installed for Obj-C. You should install "command line tools" from XCode (see this article for details) that makes both "clang" and "gcc" compilers available in command line mode. I recommend to use "clang" to compile parts of your application written in Obj-C/C++.

Yours,
Andrey

My initial question was : will I be able to use Intel® C++ Composer XE 2013.1.119 on MacOSX 10.9 without any notable issues? What issues can appear?

Ihor, sorry for not answering before -- somehow I missed your reply. :-(

Composer XE 2013 SP1 Update 1 is the first version that supports MacOS X 10.9. See there for details: http://software.intel.com/en-us/forums/topic/486782

There are no issues I'm aware of.

Yours,
Andrey

Leave a Comment

Please sign in to add a comment. Not a member? Join today